Name:           cockpit-image-builder
Version:        v54
Release:        1.20250131112044019922.pr2822.98.g5e67ae9c%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-55.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Fri Jan 31 2025 Packit <hello@packit.dev> - v54-1.20250131112044019922.pr2822.98.g5e67ae9c
- .github/workflows/release: fix release workflow 2 (Sanne Raymaekers)
- Revert "Post release version bump" (Sanne Raymaekers)
- Post release version bump (schutzbot)
- .github/workflows/release: fix release workflow (Sanne Raymaekers)
- Revert "Post release version bump" (Sanne Raymaekers)
- cockpit/spec: depend on cockpit-files (Sanne Raymaekers)
- ImagesTable/Instance: open cockpit's file browser for local imgs (Sanne Raymaekers)
- store/cockpitApi: make cache dir in case it doesn't exist (Sanne Raymaekers)
- store/cockpitApi: hide cloud targets for now (Sanne Raymaekers)
- store/cockpitApi: write blueprints to disk (Sanne Raymaekers)
- store/cockpitApi: invalidate cache after building an image (Sanne Raymaekers)
- src/test/mocks: add cockpit mocks (Sanne Raymaekers)
- store/cockpitApi: compose status support (Sanne Raymaekers)
- ImagesTable: switch to mixed api for getting composes (Sanne Raymaekers)
- store/cockpitApi: support getting composes (Sanne Raymaekers)
- Blueprints/BuildImagesButton: switch to mixed api (Sanne Raymaekers)
- store/cockpitApi: support building images from blueprint (Sanne Raymaekers)
- constants: use .cache for blueprints (Sanne Raymaekers)
- Wizard: Add firewall services (regexowl)
- scripts: add start:federated script (Amir)
- store/cockpitApi: add create blueprint mutation (Gianluca Zuccarelli)
- store/cockpitApi: add list snapshot mutation (Gianluca Zuccarelli)
- CreateImageWizard: ignore org-id for on-prem (Gianluca Zuccarelli)
- CreateImageWizard: disable analytics for on-prem (Gianluca Zuccarelli)
- test: Kernel edit tests (regexowl)
- Blueprints: Add kernel to on-prem mapper (regexowl)
- Wizard: Add remove user button in users step (Michal Gold)
- Wizard: Add kernel to Review step (regexowl)
- wizard: create new component with add eyeIcon button inside textInput (Michal Gold)
- store/backendApi: tidy up mixed api imports (Gianluca Zuccarelli)
- CreateImageWizard: initialize on-prem with host arch (Gianluca Zuccarelli)
- CreateImageWizard: initialize on-prem with host distro (Gianluca Zuccarelli)
- test/mocks: add cockpit os-release (Gianluca Zuccarelli)
- constants: add centos-10 & fedora-41 (Gianluca Zuccarelli)
- CreateImageWizard: hide activation keys for on-prem (Gianluca Zuccarelli)
- CreateImageWizard: disable steps for on-prem (Gianluca Zuccarelli)
- store: add missing apis to onPrem (Gianluca Zuccarelli)
- store/backendApi: create a useBackendPrefetch hook (Gianluca Zuccarelli)
- store/cockpitApi: empty get oscap profiles function (Gianluca Zuccarelli)
- store/cockpitApi: get blueprint endpoint (Gianluca Zuccarelli)
- store/cockpitApi: getArchitectures endpoint (Gianluca Zuccarelli)
- Utilities: fix useGetEnvironment (Gianluca Zuccarelli)
- multi: on-prem can't use the unleash flag (Gianluca Zuccarelli)
- cockpit: switch to hashrouter (Gianluca Zuccarelli)
- Wizard: Remove redundant code, fix addItem (regexowl)
- Wizard: Add kernel append input (regexowl)
- Utilities: Fix "no-unnecessary-condition" issue (regexowl)
- ImagesTable: Fix "no-unnecessary-condition" issues (regexowl)
- LandingPage: Fix "no-unnecessary-condition" issues (regexowl)
- test: Fix "no-unnecessary-condition" issues (regexowl)
- Blueprints: Fix "no-unnecessary-condition" issues (regexowl)
- devDeps: Manually bump stylelint (regexowl)
- wizard: add support of TextArea for ssh_key field (Michal Gold)
- wizrad: add validation to ssh key field (HMS-5349) (Michal Gold)
- Wizard: Services step basics (regexowl)
- build(deps-dev): bump @testing-library/user-event from 14.5.2 to 14.6.1 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- ESLint: Disable autofix for "no-unnecessary-condition" (regexowl)
- test: Test error message reset and validation on add button (regexowl)
- Wizard: Reset error text and validate on plus button (regexowl)
- Wizard: Fix "and build images" buttons (regexowl)
- Post release version bump (schutzbot)
- build(deps): bump vite from 5.4.11 to 5.4.14 (dependabot[bot])
- build(deps-dev): bump ts-patch from 3.2.1 to 3.3.0 (dependabot[bot])
- wizard: add Administrator checkbox to users step (HMS-4903) (Michal Gold)
- build(deps-dev): bump eslint-plugin-react from 7.37.2 to 7.37.4 (dependabot[bot])
- this commit add validation to name field in Users step (regexowl)
- wizard: extand steps only if there are values in the step (Michal Gold)
- build(deps-dev): bump uuid from 11.0.3 to 11.0.5 (dependabot[bot])
- Wizard: Add validation for kernel step (regexowl)
- Wizard: Add custom kernel name warning (regexowl)
- Wizard: Switch kernel name dropdown to typeahead with custom options (regexowl)
- validators: Remove kernel name validator (regexowl)
- Wizard: Swap kernel name input with drop down (regexowl)
- Wizard: Add Kernel name input (regexowl)
- .github/workflows/release: fix make dist step (Sanne Raymaekers)
- LandingPage: Hide NewAlert (regexowl)
- .github/workflows: add create-tag workflow (Sanne Raymaekers)
- .github/workflows: add release workflow (Sanne Raymaekers)
- validators: Remove undefined where only string value expected (regexowl)
- Wizard: Parse old snapshot dates when editing (regexowl)
- build(deps): bump @unleash/proxy-client-react from 4.4.0 to 4.5.1 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- ESLint: Set "no-unnecessary-condition" rule to warn (regexowl)
- store/cockpitApi: fix version number (Gianluca Zuccarelli)
- store/cockpitApi: blueprint pagination (Gianluca Zuccarelli)
- store/cockpitApi: blueprint links (Gianluca Zuccarelli)
- store/cockpitApi: fix blueprint filtering (Gianluca Zuccarelli)
- Wizard: Fix repo status formatting (regexowl)
- build(deps-dev): bump @redhat-cloud-services/frontend-components-config (dependabot[bot])
- build(deps): bump @sentry/webpack-plugin from 2.22.7 to 3.0.0 (dependabot[bot])
- cockpit/spec: post-release version bump (Sanne Raymaekers)
- build(deps-dev): bump jsdom from 25.0.1 to 26.0.0 (dependabot[bot])
- store/backendApi: export the relevant store api (Gianluca Zuccarelli)
- store/cockpitApi: add delete endpoint (Gianluca Zuccarelli)
- cockpit/webpack: path polyfill (Gianluca Zuccarelli)
- Makefile: update installation (Gianluca Zuccarelli)
- Wizard: Firewall ports input (regexowl)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
